<template>
  <label class="wrapper">
    {{label}}
    <input v-model='model' class="checkbox" type="checkbox" :name='name' :value="value" />
    <span class="checkmark">
      <check-mark />
    </span>
  </label>
</template>

<script>
import CheckMark from '../icon/CheckMark'
export default {
  components: { CheckMark },
  model: {
    prop: 'checked',
    event: 'change'
  },
  props: {
    "label": { type: String, default: "", required:true },
    "checked": { default: "" },
    "value": { default: undefined },
    "name": { type: String, default: "" },
  },
  computed: {
    model: {
      get() {
        return this.checked;
      },
      set(value) {
        this.$emit('change', value);
      },
    },
  }
}
</script>

<style  scoped>
.wrapper {
  display: block;
  position: relative;
  padding-left: 35px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-size: 16px;
  line-height: 125%;
  color: rgba(255, 255, 255, 0.45);
}
.wrapper input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
.checkmark {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 20px;
  width: 20px;
  background: #08123A;
  border: 1px solid #2F3E78;
  border-radius: 4px;
  transition: all 0.5s;
}
.wrapper:hover input ~ .checkmark {

}
.wrapper input:checked ~ .checkmark {
  background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
}
.wrapper:hover input ~ .checkmark > svg {
  fill: #2F3E78;
}
.checkmark > svg {
  position: absolute;
  fill: #08123A;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.5s;
}
.wrapper input:checked ~ .checkmark > svg {
  fill: #08123A;
}
</style>
